Version 1.5.9 - Plugins Interface

The latest news about Gargoyle

Moderator: Moderators

hipitihop
Posts: 22
Joined: Thu Aug 12, 2010 1:16 am

Re: Version 1.5.9 - Plugins Interface

Post by hipitihop »

Can anyone confirm if 1.5.9 runs on WRT54GL or what is the latest compatible build. I'm currently on 1.4.5 and it runs very well with 9.2MB / 13.1MB (70%)

User avatar
DoesItMatter
Moderator
Posts: 1373
Joined: Thu May 21, 2009 3:56 pm

Re: Version 1.5.9 - Plugins Interface

Post by DoesItMatter »

hipitihop wrote:Can anyone confirm if 1.5.9 runs on WRT54GL or what is the latest compatible build. I'm currently on 1.4.5 and it runs very well with 9.2MB / 13.1MB (70%)


If that version is working for you - stick with it.

You could try 1.4.7 - but make sure you backup your config
and also have a copy of the 1.4.5 firmware already downloaded so
you can restore it back if you don't like 1.4.7

I wouldn't recommend anything past 1.5.6 because once the
Attitude Adjustment branch kicks in, there is a bit more memory
requirements and some of the drivers don't perform well
with the WRT54 series.

This is definitely one of those - if it ain't broke - leave it alone.
:twisted: Soylent Green Is People! :twisted:
2x Asus RT-N16 = Asus 3.0.0.4.374.43 Merlin
2x Buffalo WZR-HP-G300NH V1 A0D0 = Gargoyle 1.9.x / LEDE 17.01.x
2x Engenius - ESR900 Stock 1.4.0 / OpenWRT Trunk 49400

ispyisail
Moderator
Posts: 4883
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: Version 1.5.9 - Plugins Interface

Post by ispyisail »


saint056a
Posts: 9
Joined: Sat May 11, 2013 2:21 pm
Location: Bulgaria

Re: Version 1.5.9 - Plugins Interface

Post by saint056a »

Hello, i have tp-link 1043nd with working Gargoyle 1.4.7 firmware. Want to try 3G with my router. Is there any special steps to upgrade firmware to 1.5.9? Or i just choose gargoyle_1.5.9-ar71xx-generic-tl-wr1041n-v2-squashfs-sysupgrade.bin file from system menu? Please help me i am newbee and dont want to brick the router.

trance89
Posts: 12
Joined: Tue May 07, 2013 3:58 am

Re: Version 1.5.9 - Plugins Interface

Post by trance89 »

saint056a wrote:Hello, i have tp-link 1043nd with working Gargoyle 1.4.7 firmware. Want to try 3G with my router. Is there any special steps to upgrade firmware to 1.5.9? Or i just choose gargoyle_1.5.9-ar71xx-generic-tl-wr1041n-v2-squashfs-sysupgrade.bin file from system menu? Please help me i am newbee and dont want to brick the router.

yep, simply update with the sysupgrade file
and just to note: your settings from 1.4.7 cannot be restored on 1.5.x builds

saint056a
Posts: 9
Joined: Sat May 11, 2013 2:21 pm
Location: Bulgaria

Re: Version 1.5.9 - Plugins Interface

Post by saint056a »

trance89 wrote:
saint056a wrote:Hello, i have tp-link 1043nd with working Gargoyle 1.4.7 firmware. Want to try 3G with my router. Is there any special steps to upgrade firmware to 1.5.9? Or i just choose gargoyle_1.5.9-ar71xx-generic-tl-wr1041n-v2-squashfs-sysupgrade.bin file from system menu? Please help me i am newbee and dont want to brick the router.

yep, simply update with the sysupgrade file
and just to note: your settings from 1.4.7 cannot be restored on 1.5.x builds

Thank You for your post trance89! I already read for imposibility about restore settings in first posts.

Bajramo
Posts: 22
Joined: Sat Sep 08, 2012 3:56 am

Re: Version 1.5.9 - Plugins Interface

Post by Bajramo »

@Eric

Any news about new official Gargoyle build?

eg. 1.6.0 ?

Eric
Site Admin
Posts: 1441
Joined: Sat Jun 14, 2008 1:14 pm

Re: Version 1.5.9 - Plugins Interface

Post by Eric »

Bajramo: 1.5.10 will be very, very soon. There was a huge component I needed to build (new package manager) to handle the way plugins work in gargoyle now, hence the really long delay between releases.

That's done but there are a few minor things left to take care of -- in particular there's a weird build issue when trying to build gargoyle multithreaded (see post in the dev forums here: viewtopic.php?f=14&t=4218#p18301). I may just have to set the build thread count to 1 by default for now.

User avatar
powerlogy
Posts: 66
Joined: Wed Aug 22, 2012 12:04 pm
Location: Turkey

Re: Version 1.5.9 - Plugins Interface

Post by powerlogy »

Eric wrote:Bajramo: 1.5.10 will be very, very soon. There was a huge component I needed to build (new package manager) to handle the way plugins work in gargoyle now, hence the really long delay between releases.

That's done but there are a few minor things left to take care of -- in particular there's a weird build issue when trying to build gargoyle multithreaded (see post in the dev forums here: viewtopic.php?f=14&t=4218#p18301). I may just have to set the build thread count to 1 by default for now.


Did you check this Eric ?
Slacker wrote:Well, that was fun.
Building with stock git pull, latest Gargoyle, using:
make FULL_BUILD=true ar71xx.usb_large

Here's the scoop:

36354 - works
36464 - works
36465 - works
36470 - fails
36472 - fails
36500 - fails
36599 - fails

So, something changed in 36470 that breaks multithreaded compiling of gargoyle.
Hope this helps pin it down.

Eric
Site Admin
Posts: 1441
Joined: Sat Jun 14, 2008 1:14 pm

Re: Version 1.5.9 - Plugins Interface

Post by Eric »

Yes, I saw your post, and that's what I was referring to above. It definitely breaks on commit 36470. The problem is that commit is rather extensive and includes code for new versions of the wireless drivers. Those drivers are huge components that I prefer not to modify if at all possible, as they can be rather delicate and I'm not an expert on that code.

Post Reply